> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /pub-stack/:uid/integration

> Fetches a list of publisher level integrations that could be connected to the given publisher



## OpenAPI

````yaml /openapi.json get /v1/pub-stack/{uid}/integration
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/pub-stack/{uid}/integration:
    get:
      tags:
        - Publisher/Publisher Stack
        - public
      summary: /pub-stack/:uid/integration
      description: >-
        Fetches a list of publisher level integrations that could be connected
        to the given publisher
      parameters:
        - name: uid
          in: path
          description: ''
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        type:
                          type: string
                        icon:
                          type: string
                        icon_dark:
                          type: string
                        title:
                          type: string
                        sub_title:
                          type: string
                        schema:
                          type: object
                          properties: {}
                          nullable: true
                        owner:
                          type: string
                      required:
                        - id
                        - type
                        - icon
                        - icon_dark
                        - title
                        - sub_title
                        - schema
                        - owner
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - id: 930
                    type: ad_tech
                    icon: https://cdn.tagdeliver.com/assets/logo/admiral.svg
                    icon_dark: https://cdn.tagdeliver.com/assets/logo/admiral--dark.svg
                    title: Admiral
                    sub_title: Ad block recovery. Content Ignite
                    schema: null
                    owner: Content Ignite
                  - id: 628
                    type: ad_tech
                    icon: https://cdn.tagdeliver.com/assets/logo/blockthrough.svg
                    icon_dark: >-
                      https://cdn.tagdeliver.com/assets/logo/blockthrough--dark.svg
                    title: Blockthrough
                    sub_title: Ad block recovery. Content Ignite
                    schema: null
                    owner: Content Ignite
                  - id: 831
                    type: ad_tech
                    icon: https://cdn.tagdeliver.com/assets/logo/euid.svg
                    icon_dark: https://cdn.tagdeliver.com/assets/logo/euid--dark.svg
                    title: European Unified ID (EUiD)
                    sub_title: IDs & Addressability Signals. CORE
                    schema: null
                    owner: Content Ignite
                  - id: 819
                    type: ad_tech
                    icon: https://cdn.tagdeliver.com/assets/logo/liveramp.svg
                    icon_dark: https://cdn.tagdeliver.com/assets/logo/liveramp--dark.svg
                    title: RampID
                    sub_title: IDs & Addressability Signals. Content Ignite
                    schema: null
                    owner: Content Ignite
                  - id: 882
                    type: ad_tech
                    icon: https://cdn.tagdeliver.com/assets/logo/themediatrust.svg
                    icon_dark: >-
                      https://cdn.tagdeliver.com/assets/logo/themediatrust--dark.svg
                    title: The Media Trust
                    sub_title: Real-time ad filtering/protection. CORE
                    schema: null
                    owner: Content Ignite
                  - id: 832
                    type: ad_tech
                    icon: https://cdn.tagdeliver.com/assets/logo/uid2.svg
                    icon_dark: https://cdn.tagdeliver.com/assets/logo/uid2--dark.svg
                    title: Unified ID 2.0 (UID2)
                    sub_title: IDs & Addressability Signals. CORE
                    schema: null
                    owner: Content Ignite
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````